PETSc version 3.15.5
Fix/Edit manual page

# MatProductCreate

create a matrix product object that can be used to compute various matrix times matrix operations.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductCreate(Mat A,Mat B,Mat C,Mat *D)

Collective on Mat

### Input Parameters

| A | - the first matrix
| B | - the second matrix
| C | - the third matrix (optional)

### Output Parameters

| D | - the product matrix

### See Also

MatProductCreateWithMat(), MatProductSetType(), MatProductSetAlgorithm()

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages